# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  


#!/bin/bash

 if [ ! -f $PWD/scripts/CreaTools-configure.sh ]
 then 
   echo
   echo "..ERROR.."
   echo "==================================================="
   echo "REMEMBER !"
   echo ""
   echo "YOU NEED TO RUN 'Configure' (0) First !"
   echo "==================================================="
   echo
   echo
   exit 0
fi
echo $loginGroupName

source $PWD/scripts/CreaTools-configure.sh

   echo "------"
   echo $PWD/scripts/CreaTools-configure.sh
   echo --generationdir--
   echo $generationdir
   echo --corenumber--
   echo $corenumber
   echo --docgeneration--
   echo $docgeneration
   echo --installPrefix--
   echo $installPrefix
   echo --installPrefixThird--
   echo $installPrefixThird
   echo --buildType--
   echo $buildType
   echo --gdcmVersion--
   echo $gdcmVersion
   echo "--ETC_BASHRC--"
   echo $ETC_BASHRC  
#   echo --sourcesFrom--
#   echo $sourcesFrom
#   echo --scriptDir--
#   echo $scriptDir
#   echo --start_point--
#   echo $start_point
   echo "------"

scriptDir=$PWD
sourcesDir=$generationdir/thirdparty_sources
binDir=$generationdir/thirdparty_bin

if [ ! -e $generationdir ]
then
   mkdir -p $generationdir
   chown -R $loginUserName  $generationdir
   chgrp -R $loginGroupName $generationdir
fi

if [ ! -e $sourcesDir ]
then
   mkdir -p $sourcesDir
   #was : (pb on MacOS?)
   #chown -R $loginUserName:$loginGroupName $sourcesDir
   chown -R $loginUserName  $sourcesDir
   chgrp -R $loginGroupName $sourcesDir
fi

if [ ! -e $binDir ]
then
   mkdir -p $binDir
   chown -R $loginUserName  $binDir
   chgrp -R $loginGroupName $binDir
fi


# Third Party base stuff is now installed by ThirdParty-install-Base-Stuff.sh   JPR


# the following stupid test is used at debug time; Please don't remove!
#if [ true = false ]
if [ true = true ]
then
  rm -rf $sourcesDir/tth*

  cd $sourcesDir

  if [ $OperatingSystem = "MacOS" ]
  then
    # curl -O http://www.creatis.insa-lyon.fr/software/public/creatools/crea_ThirdParty_Libraries/source/VTK-5.6.1.patchCreatis.tar.gz
    # curl -O http://www.creatis.insa-lyon.fr/software/public/creatools/crea_ThirdParty_Libraries/source/gdcm_05_Mai_2011.tar.gz
    # curl -O http://www.creatis.insa-lyon.fr/software/public/creatools/crea_ThirdParty_Libraries/source/InsightToolkit-3.20.0.tar.gz
    curl -O http://www.creatis.insa-lyon.fr/software/public/creatools/crea_Developer_Tools/All_Versions/tth/tth_linux/tth
    # MacOS, clever enough to understand it *has* to uncompress, doesn't understand tar -z :-(
    # tar -xvf VTK-5.6.1.patchCreatis.tar.gz
    # tar -xvf gdcm_05_Mai_2011.tar.gz
    # tar -xvf InsightToolkit-3.20.0.tar.gz
  else
    # wget http://www.creatis.insa-lyon.fr/software/public/creatools/crea_ThirdParty_Libraries/source/VTK-5.6.1.patchCreatis.tar.gz
    # wget http://www.creatis.insa-lyon.fr/software/public/creatools/crea_ThirdParty_Libraries/source/gdcm_05_Mai_2011.tar.gz
    # wget http://www.creatis.insa-lyon.fr/software/public/creatools/crea_ThirdParty_Libraries/source/InsightToolkit-3.20.0.tar.gz
    wget http://www.creatis.insa-lyon.fr/software/public/creatools/crea_Developer_Tools/All_Versions/tth/tth_linux/tth
  
    # tar -xvzf VTK-5.6.1.patchCreatis.tar.gz
    #tar -xvzf gdcm_05_Mai_2011.tar.gz
    #tar -xvzf InsightToolkit-3.20.0.tar.gz
  fi

fi


if [ $buildType = "Debug" ]
then
   debug="ON"
else
   debug="OFF"
fi

#if [ true = false ]
if [ true = true ]
then
  cd $sourcesDir
 # pourquoi ne copie-t-on plus? JPR
 mkdir -p $installPrefixThird/bin
 cp tth $installPrefixThird/bin
fi
